@sapUiMnuItmHeight: 20px;

.sapUiMnu {
	/* initially hidden off the screen */
	position: absolute;
	top: -10000px;
	display: block;
	min-width: 80px;
	border: 1px solid @sapUiContentForegroundBorderColor;
	background-color: @sapUiListBackground;
	cursor: default;
	outline: none;
	overflow: hidden;
	padding: 1px;
}

.sapUiMnu:focus {
	outline: none;
}

.sapUiMnuLst {
	padding: 0;
	margin: 0;
	display: block;
	cursor: default;
	color: @sapUiListTextColor;
	font-size: @sapUiFontSize;
	font-family: @sapUiFontFamily;
}

.sapUiMnuItm {
	display: block;
	height: @sapUiMnuItmHeight;
	line-height: @sapUiMnuItmHeight;
	white-space: nowrap;
	position: relative;
}

.sapUiMnuItm.sapUiMnuItmDsbl,
.sapUiMnuItm.sapUiMnuTfItm.sapUiMnuItmDsbl .sapUiMnuTfItemLbl,
.sapUiMnuItm.sapUiMnuTfItm.sapUiMnuItmDsbl.sapUiMnuItmHov .sapUiMnuTfItemLbl {
	color: @sapUiContentDisabledTextColor;
}

.sapUiMnuItm.sapUiMnuItmHov {
	color: @sapUiHighlightTextColor;
	background-color: @sapUiListHighlightColor;
}

.sapUiMnuItm.sapUiMnuTfItm.sapUiMnuItmHov .sapUiMnuTfItemLbl {
	color: @sapUiHighlightTextColor;
}

.sapUiMnuItm.sapUiMnuItmDsbl.sapUiMnuItmHov {
	background-color: darken(@sapUiBaseBG, 24.7);
	color: @sapUiContentDisabledTextColor;
}

.sapUiMnuItmL,
.sapUiMnuItmIco,
.sapUiMnuItmTxt,
.sapUiMnuItmSCut,
.sapUiMnuItmSbMnu,
.sapUiMnuItmR {
	display: inline-block;
	height: 100%;
	vertical-align: top;
	overflow: hidden;
	outline: none;
}

.sapUiMnuItmSCut,
.sapUiMnuItmSbMnu,
.sapUiMnuItmR {
	position: absolute;
	top: 0px;
}

.sapUiMnuItmL{
	width: 2px;
}

.sapUiMnuItmIco {
	width: 20px;
	text-align: center;
}

.sapUiMnuItmIco > img{
	max-width: 16px;
	max-height: 16px;
	vertical-align: middle;
}

.sapUiMnuItmDsbl > .sapUiMnuItmIco > img {
	opacity: 0.5;
	filter: alpha(opacity=50);
}

.sapUiMnuNoIco > .sapUiMnuItm > .sapUiMnuItmIco {
	width: 0px;
	display: none;
}

.sapUiMnuItmTxt {
	padding-right: 27px; /*22+5*/
	white-space: nowrap;
}

.sapUiMnuItm.sapUiMnuTfItm > .sapUiMnuItmTxt {
	padding-right: 5px;
}

.sapUiMnuItm.sapUiMnuTfItm .sapUiMnuTfItemLbl {
	vertical-align: top;
	margin-right: 5px;
	line-height: @sapUiMnuItmHeight;
	display: inline-block;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.sapUiMnuItm.sapUiMnuTfItm > .sapUiMnuItmTxt > .sapUiMnuTfItemWrppr {
	position: absolute;
	right: 5px;
	top: 0;
	width: 22ex;
	display: inline-block;
}

.sapUiMnuItm.sapUiMnuTfItm .sapUiMnuTfItemTf {
	box-sizing: border-box;
	vertical-align: top;
	font-family: @sapUiFontFamily;
	font-size: @sapUiFontSize;
	-webkit-appearance: none; /*Needed for safari mobile*/
	border: 1px solid @sapUiFieldBorderColor;
	-webkit-border-radius: 0px; /*Needed for safari mobile*/
	background-color: @sapUiFieldBackground;
	color: @sapUiBaseText;
	width: 100%;
	outline: none; /* remove Webkit glow effect */
}

.sapUiMnuItm.sapUiMnuTfItm .sapUiMnuTfItemTf:focus {
	background-color: @sapUiFieldBackground;
	border-color: @sapUiFieldFocusBorderColor;
}

.sapUiMnuItm.sapUiMnuTfItm .sapUiMnuTfItemTf::-ms-clear {
	width : 0;
	height: 0;
	display:none;
}

.sapUiMnuItm.sapUiMnuTfItm .sapUiMnuTfItemTf.sapUiMnuTfItemTfDsbl {
	background-color: @sapUiFieldDisabledBackground;
	color: @sapUiContentDisabledTextColor;
	/* Avoid text selection in disabled TextFields */
	-moz-user-select: none;
	-webkit-user-select: none;
	user-select: none;
	border-color: @sapUiFieldDisabledBorderColor;
}

.sapUiMnuItm.sapUiMnuTfItm .sapUiMnuTfItemTf.sapUiMnuTfItemTfEnbl.sapUiMnuTfItemTfErr {
	border-color: @sapUiFieldInvalidColor;
	background-color: @sapUiFieldInvalidBackground;
}

.sapUiMnuItm.sapUiMnuTfItm .sapUiMnuTfItemTf.sapUiMnuTfItemTfEnbl.sapUiMnuTfItemTfWarn {
	border-color: @sapUiFieldWarningColor;
	background-color: @sapUiFieldWarningBackground;
}

.sapUiMnuTfItmStretch {
	display: inline-block;
	width: 22ex;
	height: 1px;
}

.sapUiMnuNoSbMnu > .sapUiMnuItm > .sapUiMnuItmTxt {
	padding-right: 7px; /*2+5*/
}

.sapUiMnuItmSCut {
	white-space: nowrap;
	right: 22px;
	width: 0px;
	display: none;
}

.sapUiMnuItmSbMnu {
	right: 2px;
	width: 15px;
	text-align: left;
}

.sapUiMnuItmSbMnu > div:after {
	content: "\e066";
	font-family: 'SAP-icons';
	outline: none;
}

.sapUiMnuNoSbMnu > .sapUiMnuItm > .sapUiMnuItmSbMnu {
	width: 0px;
	display: none;
}

.sapUiMnuItmR {
	width: 2px;
	right: 0px;
}

.sapUiMnuDiv{
	position: relative;
	height: 3px;
}

.sapUiMnuDiv > hr {
	display: inline-block;
	margin: 0;
	position: absolute;
	left: 5px;
	right: 5px;
	margin-top: 1px;
	margin-bottom: 1px;
	border-width: 0;
	border-top: 1px solid @sapUiContentForegroundBorderColor;
	height: 1px;
}

.sapUiMnuDivL,
.sapUiMnuDivR{
	display: inline-block;
	position: absolute;
	width: 5px;
	height: 100%;
}

.sapUiMnuDivR{
	right: 0;
}

.sapUiMnuDivL{
	left: 0;
}